/* toneMelody
 *  
 *  Egyszerű dallam lejátszása a D12 lábra kötött piezo csipogón.
 *  
 *  Szerző: Tom Igoe
 *  Forrás: http://www.arduino.cc/en/Tutorial/Tone
 *  Magyar változat: Harsányi Réka, Juhász Márton András
 *  https://www.tankonyvtar.hu/hu/tartalom/tamop412A/
 *  2011-0010_harsanyi_fizikai_szamitastechnika/index.html
 */
#include <pitches.h>
// a dallam hangjegyei, megszólalás sorrendjében:
// tömböt használunk
int melody[] = {
  NOTE_C5, NOTE_G4, NOTE_G4, NOTE_A4, NOTE_G4, 0, NOTE_B4, NOTE_C5
};

// hangjegyek hossza: 4 = negyed hang, 8 = nyolcad hang stb.:
int noteDurations[] = {
  4, 8, 8, 4, 4, 4, 4, 4
};

void setup() {
  // a dallam hangjegyeinek ismétlődése,
  // most 8 hangjegyet használunk, ezért:
  for (int thisNote = 0; thisNote < 8; thisNote++) {
    // a hangjegyek hosszának kiszámításához
    // osszuk el a másodpercet arányosan,
    //pl. a negyed hang = 1000 / 4, a nyolcad = 1000 / 8, stb.
    int noteDuration = 1000 / noteDurations[thisNote];
    tone(12, melody[thisNote], noteDuration);
    // hogy elkülönítsük a hangjegyeket, tegyünk közéjük szünetet
    // ennek időtartama +30%-nál úgy tűnik, jól működik:
    int pauseBetweenNotes = noteDuration * 1.30;
    delay(pauseBetweenNotes);
    // megállítja a lejátszást:
  }
  noTone(12);
}

void loop() {
  // nem ismételjük meg a dallamot.
}
